## GESVideoTransition GESVideoTransition — implements video crossfade transition |

## Functions

GESVideoTransition * | ges_video_transition_new ()
gboolean | ges_video_transition_set_transition_type ()
void | ges_video_transition_set_border ()
gint | ges_video_transition_get_border ()
void | ges_video_transition_set_inverted ()
gboolean | ges_video_transition_is_inverted ()

## Properties

guint | border | Read / Write
gboolean | invert | Read / Write
GESVideoStandardTransitionType | transition-type | Read / Write

## Types and Values

| GESVideoTransition

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESOperation
                        ╰── GESTransition
                            ╰── GESVideoTransition

## Implemented Interfaces

GESVideoTransition implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

### ges_video_transition_new ()

    GESVideoTransition *
    ges_video_transition_new (void);

Creates a new GESVideoTransition.

#### Returns

The newly created GESVideoTransition, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_video_transition_set_transition_type ()

    gboolean
    ges_video_transition_set_transition_type
                                   (GESVideoTransition *self,
                                    GESVideoStandardTransitionType type);

Sets the transition being used to `type` .

#### Parameters

self | a GESVideoTransition |
type | a GESVideoStandardTransitionType |

#### Returns

`TRUE` if the transition type was properly changed, else `FALSE`.

### ges_video_transition_set_border ()

    void
    ges_video_transition_set_border (GESVideoTransition *self,
                                     guint value);

Set the border property of `self` , this value represents the border width of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

#### Parameters

self | The GESVideoTransition to set the border to |
value | The value of the border to set on `object` |

### ges_video_transition_get_border ()

    gint
    ges_video_transition_get_border (GESVideoTransition *self);

Get the border property of `self` , this value represents the border width of the transition.

#### Parameters

self | The GESVideoTransition to get the border from |

#### Returns

The border values of `self` or -1 if not meaningful (this will happen when not using a smpte transition).

### ges_video_transition_set_inverted ()

    void
    ges_video_transition_set_inverted (GESVideoTransition *self,
                                       gboolean inverted);

Set the invert property of `self` , this value represents the direction of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

#### Parameters

self | The GESVideoTransition to set invert on |
inverted | `TRUE` if the transition should be inverted `FALSE` otherwise |

### ges_video_transition_is_inverted ()

    gboolean
    ges_video_transition_is_inverted (GESVideoTransition *self);

Get the invert property of `self` , this value represents the direction of the transition.

#### Parameters

self | The GESVideoTransition to get the inversion from |

#### Returns

The invert value of `self`

## Types and Values

### GESVideoTransition

    typedef struct _GESVideoTransition GESVideoTransition;

## Property Details

### The `“border”` property

      “border”                   guint

This value represents the border width of the transition.

Flags: Read / Write

Default value: 0

### The `“invert”` property

      “invert”                   gboolean

This value represents the direction of the transition.

Flags: Read / Write

Default value: FALSE

### The `“transition-type”` property

      “transition-type”          GESVideoStandardTransitionType

The type of the transition.

Flags: Read / Write

Default value: GES_VIDEO_STANDARD_TRANSITION_TYPE_CROSSFADE